This is the multi-page printable view of this section. Click here to print.
CheckClusterResourceSizeForDataFlowServiceCreate
1 - 1.2
post /v1/data-flow-services/clusters/{cluster_id}/validate-resources
Description
Validate Cluster Resource Size for Data Flow Service Creation.
State ACTIVE (CURRENT)
| Version | Not Before |
|---|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| header | Accept optional | Accept Example : application/json | string | application/json |
| header | Content-Type optional | Content-Type Example : application/json | string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi | string | openapi |
| path | cluster_id required | Cluster ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f | string | None |
| body | body required | DataFlowServiceValidateResourceRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ClusterResourceCheckResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-flow-services/clusters/{cluster_id}/validate-resources
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-flow 1.2"
Request body
{
"service_workload": {
"nifi": {
"cpu": "2000",
"memory": "1024",
"replica": "1",
"version": "1.27.1"
},
"nifi_registry": {
"cpu": "2000",
"memory": "1024",
"replica": "1",
"version": "1.27.1"
},
"zookeeper": {
"cpu": "2000",
"memory": "1024",
"replica": "3",
"version": "3.9.2"
}
}
}
Example HTTP response
Response 200
{
"cpu": "CPU",
"err_code": "",
"memory": "Memory",
"result": ""
}
2 - 1.1
post /v1/data-flow-services/clusters/{cluster_id}/validate-resources
Description
Validate Cluster Resource Size for Data Flow Service Creation.
State ACTIVE (SUPPORTED)
| Version | Not Before |
|---|---|
| 1.1 | 20260930 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| header | Accept optional | Accept Example : application/json | string | application/json |
| header | Content-Type optional | Content-Type Example : application/json | string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi | string | openapi |
| path | cluster_id required | Cluster ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f | string | None |
| body | body required | DataFlowServiceValidateResourceRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ClusterResourceCheckResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-flow-services/clusters/{cluster_id}/validate-resources
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-flow 1.1"
Request body
{
"service_workload": {
"nifi": {
"cpu": "2000",
"memory": "1024",
"replica": "1",
"version": "1.27.1"
},
"nifi_registry": {
"cpu": "2000",
"memory": "1024",
"replica": "1",
"version": "1.27.1"
},
"zookeeper": {
"cpu": "2000",
"memory": "1024",
"replica": "3",
"version": "3.9.2"
}
}
}
Example HTTP response
Response 200
{
"cpu": "CPU",
"err_code": "",
"memory": "Memory",
"result": ""
}
3 - 1.0
post /v1/data-flow-services/clusters/{cluster_id}/validate-resources
Description
Validate Cluster Resource Size for Data Flow Service Creation.
State ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|---|
| 1.0 | 20260701 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| header | Accept optional | Accept Example : application/json | string | application/json |
| header | Content-Type optional | Content-Type Example : application/json | string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi | string | openapi |
| path | cluster_id required | Cluster ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f | string | None |
| body | body required | DataFlowServiceValidateResourceRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ClusterResourceCheckResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-flow-services/clusters/{cluster_id}/validate-resources
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-flow 1.0"
Request body
{
"service_workload": {
"nifi": {
"cpu": "2000",
"memory": "1024",
"replica": "1",
"version": "1.27.1"
},
"nifi_registry": {
"cpu": "2000",
"memory": "1024",
"replica": "1",
"version": "1.27.1"
},
"zookeeper": {
"cpu": "2000",
"memory": "1024",
"replica": "3",
"version": "3.9.2"
}
}
}
Example HTTP response
Response 200
{
"cpu": "CPU",
"err_code": "",
"memory": "Memory",
"result": ""
}